Alert
Alert object
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- query_idstring
UUID of the query attached to the alert.
- statestring
Current state of the alert's trigger status. This field is set to UNKNOWN if the alert has not yet been evaluated or ran into an error during the last evaluation.
- seconds_to_retriggerint32
Number of seconds an alert must wait after being triggered to rearm itself. After rearming, it can be triggered again. If 0 or not specified, the alert will not be triggered again.
- lifecycle_statestring
The workspace state of the alert. Used for tracking trashed status.
- trigger_timestring
Timestamp when the alert was last triggered, if the alert has been triggered before.
- custom_bodystring
Custom body of alert notification, if it exists. See here for custom templating instructions.
- custom_subjectstring
Custom subject of alert notification, if it exists. This can include email subject entries and Slack notification headers, for example. See here for custom templating instructions.
- conditionobject
Trigger conditions of the alert.
Show child attributesHide child attributes
- opstring
Operator used for comparison in alert evaluation.
- operandobject
Name of the column from the query result to use for comparison in alert evaluation.
Show child attributesHide child attributes
- valueobject
Show child attributesHide child attributes
- string_valuestring
- double_valuedouble
- bool_valueboolean
- columnobject
Show child attributesHide child attributes
- namestring
- thresholdobject
Threshold value used for comparison in alert evaluation.
Show child attributesHide child attributes
- valueobject
Show child attributesHide child attributes
- string_valuestring
- double_valuedouble
- bool_valueboolean
- columnobject
Show child attributesHide child attributes
- namestring
- empty_result_statestring
Alert state if result is empty.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- parent_pathstring
The workspace path of the folder containing the alert.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
Get GA
GET
Gets an alert.
API scopes: sql
Parameters
- idstringpath
Response
Returns the Alert object.
Create GA
POST
Creates an alert.
API scopes: sql
Request body
- alertobject
Show child attributesHide child attributes
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- query_idstring
UUID of the query attached to the alert.
- statestring
Current state of the alert's trigger status. This field is set to UNKNOWN if the alert has not yet been evaluated or ran into an error during the last evaluation.
- seconds_to_retriggerint32
Number of seconds an alert must wait after being triggered to rearm itself. After rearming, it can be triggered again. If 0 or not specified, the alert will not be triggered again.
- lifecycle_statestring
The workspace state of the alert. Used for tracking trashed status.
- trigger_timestring
Timestamp when the alert was last triggered, if the alert has been triggered before.
- custom_bodystring
Custom body of alert notification, if it exists. See here for custom templating instructions.
- custom_subjectstring
Custom subject of alert notification, if it exists. This can include email subject entries and Slack notification headers, for example. See here for custom templating instructions.
- conditionobject
Trigger conditions of the alert.
Show child attributesHide child attributes
- opstring
Operator used for comparison in alert evaluation.
- operandobject
Name of the column from the query result to use for comparison in alert evaluation.
Show child attributesHide child attributes
- valueobjectRequired
- columnobjectRequired
- thresholdobject
Threshold value used for comparison in alert evaluation.
Show child attributesHide child attributes
- valueobjectRequired
- columnobjectRequired
- empty_result_statestring
Alert state if result is empty.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- parent_pathstring
The workspace path of the folder containing the alert.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- auto_resolve_display_nameboolean
If true, automatically resolve alert display name conflicts. Otherwise, fail the request if the alert's display name conflicts with an existing alert's display name.
Response
Returns the Alert object.
Update GA
PATCH
Updates an alert.
API scopes: sql
Parameters
- idstringpath
Request body
- alertobject
Show child attributesHide child attributes
- idstring
UUID identifying the alert.
- display_namestring
The display name of the alert.
- query_idstring
UUID of the query attached to the alert.
- statestring
Current state of the alert's trigger status. This field is set to UNKNOWN if the alert has not yet been evaluated or ran into an error during the last evaluation.
- seconds_to_retriggerint32
Number of seconds an alert must wait after being triggered to rearm itself. After rearming, it can be triggered again. If 0 or not specified, the alert will not be triggered again.
- lifecycle_statestring
The workspace state of the alert. Used for tracking trashed status.
- trigger_timestring
Timestamp when the alert was last triggered, if the alert has been triggered before.
- custom_bodystring
Custom body of alert notification, if it exists. See here for custom templating instructions.
- custom_subjectstring
Custom subject of alert notification, if it exists. This can include email subject entries and Slack notification headers, for example. See here for custom templating instructions.
- conditionobject
Trigger conditions of the alert.
Show child attributesHide child attributes
- opstring
Operator used for comparison in alert evaluation.
- operandobject
Name of the column from the query result to use for comparison in alert evaluation.
Show child attributesHide child attributes
- valueobjectRequired
- columnobjectRequired
- thresholdobject
Threshold value used for comparison in alert evaluation.
Show child attributesHide child attributes
- valueobjectRequired
- columnobjectRequired
- empty_result_statestring
Alert state if result is empty.
- owner_user_namestring
The owner's username. This field is set to "Unavailable" if the user has been deleted.
- parent_pathstring
The workspace path of the folder containing the alert.
- create_timestring
The timestamp indicating when the alert was created.
- update_timestring
The timestamp indicating when the alert was updated.
- notify_on_okboolean
Whether to notify alert subscribers when alert returns back to normal.
- update_maskstring
- auto_resolve_display_nameboolean
If true, automatically resolve alert display name conflicts. Otherwise, fail the request if the alert's display name conflicts with an existing alert's display name.
Response
Returns the Alert object.